## r-cran-rstan 2.18.2

=== DESCRIPTION ===
Package: rstan
Type: Package
Title: R Interface to Stan
Version: 2.18.2
Date: 2018-11-06
Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
             person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
             person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
             person("Daniel", "Lee", role = "ctb"),
             person("Krzysztof", "Sakrejda", role = "ctb"),
             person("Modrak", "Martin", role = "ctb"),
             person("Trustees of", "Columbia University", role = "cph"),
             person("Oleg", "Sklyar", role = "cph", comment = "R/cxxfunplus.R"),
             person("The R", "Core Team", role = "cph", comment = "R/pairs.R, R/dynGet.R"),
             person("Jens", "Oehlschlaegel-Akiyoshi", role = "cph", comment = "R/pairs.R"))
Description: User-facing R functions are provided to parse, compile, test,
    estimate, and analyze Stan models by accessing the header-only Stan library
    provided by the 'StanHeaders' package. The Stan project develops a probabilistic
    programming language that implements full Bayesian statistical inference
    via Markov Chain Monte Carlo, rough Bayesian inference via 'variational'
    approximation, and (optionally penalized) maximum likelihood estimation via
    optimization. In all three cases, automatic differentiation is used to quickly
    and accurately evaluate gradients without burdening the user with the need to
    derive the partial derivatives.
License: GPL (>= 3)
NeedsCompilation: yes
Imports: methods, stats4, inline, gridExtra (>= 2.0.0), Rcpp (>=
        0.12.0), loo (>= 2.0.0), pkgbuild
Depends: R (>= 3.4.0), ggplot2 (>= 2.0.0), StanHeaders (>= 2.18.0)
LinkingTo: Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0), BH (>= 1.66),
        StanHeaders (>= 2.18.0)
Suggests: RUnit, RcppEigen (>= 0.3.3.3.0), BH (>= 1.66), parallel,
        KernSmooth, shinystan (>= 2.3.0), bayesplot (>= 1.5.0),
        rmarkdown, rstantools, rstudioapi, Matrix, knitr (>= 1.15.1)
URL: http://discourse.mc-stan.org, http://mc-stan.org
BugReports: https://github.com/stan-dev/rstan/issues/
VignetteBuilder: knitr
SystemRequirements: pandoc
RoxygenNote: 5.0.1
Packaged: 2018-11-07 02:20:53 UTC; ben
Author: Jiqiang Guo [aut],
  Jonah Gabry [aut],
  Ben Goodrich [cre, aut],
  Daniel Lee [ctb],
  Krzysztof Sakrejda [ctb],
  Modrak Martin [ctb],
  Trustees of Columbia University [cph],
  Oleg Sklyar [cph] (R/cxxfunplus.R),
  The R Core Team [cph] (R/pairs.R, R/dynGet.R),
  Jens Oehlschlaegel-Akiyoshi [cph] (R/pairs.R)
Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
Repository: CRAN
Date/Publication: 2018-11-07 20:10:02 UTC

=== debian/changelog ===
r-cran-rstan (2.18.2-1) unstable; urgency=medium

  * Drop now unused override since dh-r cares for this
  * New upstream version
  * libboost-dev is now 1.67.0.1 thus r-cran-bh becomes usable again

 -- Andreas Tille <tille@debian.org>  Mon, 26 Nov 2018 11:10:19 +0100

r-cran-rstan (2.18.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Build-Depends: libboost1.67-dev (as long as libboost-dev is not
    bumped to version 1.67)
  * Remove unused paragraph from copyright
  * documentation is where it is expected by GNU R users

 -- Andreas Tille <tille@debian.org>  Thu, 18 Oct 2018 10:37:40 +0200

r-cran-rstan (2.17.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Oct 2018 18:07:25 +0200

r-cran-rstan (2.17.3+dfsg-2) unstable; urgency=medium

  * Rebuild with fixed dh-r
    Closes: #908752
  * Standards-Version: 4.2.1
  * Build-Depends: r-cran-stanheaders

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 16:30:42 +0200

r-cran-rstan (2.17.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #898784)

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2018 22:44:31 +0200

=== debian/control ===
Source: r-cran-rstan
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 2.0.0),
               r-cran-stanheaders (>= 2.18.0),
               r-cran-inline,
               r-cran-gridextra,
               r-cran-rcpp (>= 0.12.0),
               r-cran-loo,
               r-cran-pkgbuild,
               r-cran-rcppeigen (>= 0.3.3.3.0),
               r-cran-bh
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git
Homepage: https://cran.r-project.org/package=rstan

Package: r-cran-rstan
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to Stan
 User-facing R functions are provided to parse, compile, test, estimate,
 and analyze Stan models by accessing the header-only Stan library
 provided by the 'StanHeaders' package. The Stan project develops a
 probabilistic programming language that implements full Bayesian
 statistical inference via Markov Chain Monte Carlo, rough Bayesian
 inference via 'variational' approximation, and (optionally penalized)
 maximum likelihood estimation via optimization. In all three cases,
 automatic differentiation is used to quickly and accurately evaluate
 gradients without burdening the user with the need to derive the partial
 derivatives.

## r-cran-rstan 2.19.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: rstan
+Encoding: UTF-8
 Type: Package
 Title: R Interface to Stan
-Version: 2.18.2
-Date: 2018-11-06
+Version: 2.19.2
+Date: 2019-07-08
 Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
@@ -26,18 +27,18 @@
 NeedsCompilation: yes
 Imports: methods, stats4, inline, gridExtra (>= 2.0.0), Rcpp (>=
         0.12.0), loo (>= 2.0.0), pkgbuild
-Depends: R (>= 3.4.0), ggplot2 (>= 2.0.0), StanHeaders (>= 2.18.0)
-LinkingTo: Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0), BH (>= 1.66),
-        StanHeaders (>= 2.18.0)
+Depends: R (>= 3.4.0), StanHeaders (> 2.18.1), ggplot2 (>= 2.0.0)
+LinkingTo: Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0), BH (>= 1.69.0),
+        StanHeaders (> 2.18.1)
 Suggests: RUnit, RcppEigen (>= 0.3.3.3.0), BH (>= 1.66), parallel,
         KernSmooth, shinystan (>= 2.3.0), bayesplot (>= 1.5.0),
         rmarkdown, rstantools, rstudioapi, Matrix, knitr (>= 1.15.1)
 URL: http://discourse.mc-stan.org, http://mc-stan.org
 BugReports: https://github.com/stan-dev/rstan/issues/
 VignetteBuilder: knitr
-SystemRequirements: pandoc
+SystemRequirements: GNU make, pandoc
 RoxygenNote: 5.0.1
-Packaged: 2018-11-07 02:20:53 UTC; ben
+Packaged: 2019-07-09 07:03:28 UTC; ben
 Author: Jiqiang Guo [aut],
   Jonah Gabry [aut],
   Ben Goodrich [cre, aut],
@@ -50,4 +51,4 @@
   Jens Oehlschlaegel-Akiyoshi [cph] (R/pairs.R)
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2018-11-07 20:10:02 UTC
+Date/Publication: 2019-07-09 12:40:03 UTC

=== debian/changelog ===
r-cran-rstan (2.19.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:31 +0100

r-cran-rstan (2.19.2-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control

  [ Andreas Tille ]
  * Seems there is no real reason to enforce boost version 1.69
  * debhelper-compat 12
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Sep 2019 10:46:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
+               r-cran-stanheaders (>= 2.18.1),
                r-cran-ggplot2 (>= 2.0.0),
-               r-cran-stanheaders (>= 2.18.0),
                r-cran-inline,
                r-cran-gridextra,
                r-cran-rcpp (>= 0.12.0),
@@ -16,7 +16,7 @@
                r-cran-pkgbuild,
                r-cran-rcppeigen (>= 0.3.3.3.0),
                r-cran-bh
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git
 Homepage: https://cran.r-project.org/package=rstan

## r-cran-rstan 2.19.3

=== debian/changelog ===
r-cran-rstan (2.19.3-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:24:29 +0000

r-cran-rstan (2.19.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Apr 2020 12:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-rstan
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -16,10 +17,11 @@
                r-cran-pkgbuild,
                r-cran-rcppeigen (>= 0.3.3.3.0),
                r-cran-bh
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git
 Homepage: https://cran.r-project.org/package=rstan
+Rules-Requires-Root: no
 
 Package: r-cran-rstan
 Architecture: any

## r-cran-rstan 2.21.2

=== DESCRIPTION ===
Package: rstan
Encoding: UTF-8
Type: Package
Title: R Interface to Stan
Version: 2.21.2
Date: 2020-07-27
Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
             person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
             person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
             person("Sebastian", "Weber", email = "sdw.post@waebers.de", role = "aut"),
             person("Daniel", "Lee", role = "ctb"),
             person("Krzysztof", "Sakrejda", role = "ctb"),
             person("Modrak", "Martin", role = "ctb"),
             person("Trustees of", "Columbia University", role = "cph"),
             person("Oleg", "Sklyar", role = "cph", comment = "R/cxxfunplus.R"),
             person("The R", "Core Team", role = "cph", comment = "R/pairs.R, R/dynGet.R"),
             person("Jens", "Oehlschlaegel-Akiyoshi", role = "cph", comment = "R/pairs.R"),
             person("John", "Maddock", role = "cph", comment = "gamma.hpp"),
             person("Paul", "Bristow", role = "cph", comment = "gamma.hpp"),
             person("Nikhar", "Agrawal", role = "cph", comment = "gamma.hpp"),
             person("Christopher", "Kormanyos", role = "cph", comment = "gamma.hpp"),
             person("Bronder", "Steve", role = "ctb"))
Description: User-facing R functions are provided to parse, compile, test,
    estimate, and analyze Stan models by accessing the header-only Stan library
    provided by the 'StanHeaders' package. The Stan project develops a probabilistic
    programming language that implements full Bayesian statistical inference
    via Markov Chain Monte Carlo, rough Bayesian inference via 'variational'
    approximation, and (optionally penalized) maximum likelihood estimation via
    optimization. In all three cases, automatic differentiation is used to quickly
    and accurately evaluate gradients without burdening the user with the need to
    derive the partial derivatives.
License: GPL (>= 3)
NeedsCompilation: yes
Imports: methods, stats4, inline, gridExtra (>= 2.0.0), Rcpp (>=
        0.12.0), RcppParallel (>= 5.0.1), loo (>= 2.3.0), pkgbuild,
        withr, V8
Depends: R (>= 3.4.0), StanHeaders (>= 2.21.0), ggplot2 (>= 3.0.0)
LinkingTo: Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0), BH (>=
        1.72.0-2), StanHeaders (>= 2.21.0), RcppParallel
Suggests: RUnit, RcppEigen (>= 0.3.3.3.0), BH (>= 1.72.0-2), parallel,
        KernSmooth, shinystan (>= 2.3.0), bayesplot (>= 1.5.0),
        rmarkdown, rstantools, rstudioapi, Matrix, knitr (>= 1.15.1)
URL: https://mc-stan.org/rstan, https://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/rstan/issues/
VignetteBuilder: knitr
SystemRequirements: GNU make, pandoc
RoxygenNote: 5.0.1
Packaged: 2020-07-27 04:00:55 UTC; ben
Author: Jiqiang Guo [aut],
  Jonah Gabry [aut],
  Ben Goodrich [cre, aut],
  Sebastian Weber [aut],
  Daniel Lee [ctb],
  Krzysztof Sakrejda [ctb],
  Modrak Martin [ctb],
  Trustees of Columbia University [cph],
  Oleg Sklyar [cph] (R/cxxfunplus.R),
  The R Core Team [cph] (R/pairs.R, R/dynGet.R),
  Jens Oehlschlaegel-Akiyoshi [cph] (R/pairs.R),
  John Maddock [cph] (gamma.hpp),
  Paul Bristow [cph] (gamma.hpp),
  Nikhar Agrawal [cph] (gamma.hpp),
  Christopher Kormanyos [cph] (gamma.hpp),
  Bronder Steve [ctb]
Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
Repository: CRAN
Date/Publication: 2020-07-27 09:50:02 UTC

=== debian/changelog ===
r-cran-rstan (2.21.2-3) unstable; urgency=high

  * Update fix_library_locations patch to correctly reflect lib directories

 -- Shayan Doust <hello@shayandoust.me>  Sun, 07 Feb 2021 12:49:34 +0000

r-cran-rstan (2.21.2-2) unstable; urgency=medium

  [ Shayan Doust ]
  * Library locations are under /usr/share/R and not the relative directory lib/
    Closes: #971233
  * Versioned Build-Depends: r-cran-rcppparallel (>= 5.0.2+dfsg-3)
    Closes: #971109

 -- Andreas Tille <tille@debian.org>  Wed, 30 Sep 2020 15:54:55 +0200

r-cran-rstan (2.21.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Jul 2020 09:43:19 +0200

r-cran-rstan (2.21.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Jul 2020 10:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: r-cran-rstan
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-stanheaders (>= 2.18.1),
-               r-cran-ggplot2 (>= 2.0.0),
+               r-cran-stanheaders (>= 2.21.0),
+               r-cran-ggplot2 (>= 3.0.0),
                r-cran-inline,
                r-cran-gridextra,
                r-cran-rcpp (>= 0.12.0),
-               r-cran-loo,
+               r-cran-rcppparallel (>= 5.0.2+dfsg-3),
+               r-cran-loo (>= 2.3.0),
                r-cran-pkgbuild,
+               r-cran-withr,
+               r-cran-v8,
                r-cran-rcppeigen (>= 0.3.3.3.0),
                r-cran-bh
 Standards-Version: 4.5.0

## r-cran-rstan 2.21.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Encoding: UTF-8
 Type: Package
 Title: R Interface to Stan
-Version: 2.21.2
-Date: 2020-07-27
+Version: 2.21.3
+Date: 2021-12-18
 Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
@@ -32,20 +32,20 @@
 License: GPL (>= 3)
 NeedsCompilation: yes
 Imports: methods, stats4, inline, gridExtra (>= 2.0.0), Rcpp (>=
-        0.12.0), RcppParallel (>= 5.0.1), loo (>= 2.3.0), pkgbuild,
-        withr, V8
+        0.12.0), RcppParallel (>= 5.0.1), loo (>= 2.3.0), pkgbuild
 Depends: R (>= 3.4.0), StanHeaders (>= 2.21.0), ggplot2 (>= 3.0.0)
 LinkingTo: Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0), BH (>=
         1.72.0-2), StanHeaders (>= 2.21.0), RcppParallel
 Suggests: RUnit, RcppEigen (>= 0.3.3.3.0), BH (>= 1.72.0-2), parallel,
         KernSmooth, shinystan (>= 2.3.0), bayesplot (>= 1.5.0),
-        rmarkdown, rstantools, rstudioapi, Matrix, knitr (>= 1.15.1)
-URL: https://mc-stan.org/rstan, https://discourse.mc-stan.org
+        rmarkdown, rstantools, rstudioapi, Matrix, knitr (>= 1.15.1),
+        V8
+URL: https://mc-stan.org/rstan/, https://discourse.mc-stan.org
 BugReports: https://github.com/stan-dev/rstan/issues/
 VignetteBuilder: knitr
 SystemRequirements: GNU make, pandoc
 RoxygenNote: 5.0.1
-Packaged: 2020-07-27 04:00:55 UTC; ben
+Packaged: 2021-12-19 03:34:03 UTC; ben
 Author: Jiqiang Guo [aut],
   Jonah Gabry [aut],
   Ben Goodrich [cre, aut],
@@ -64,4 +64,4 @@
   Bronder Steve [ctb]
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2020-07-27 09:50:02 UTC
+Date/Publication: 2021-12-19 23:30:10 UTC

=== debian/changelog ===
r-cran-rstan (2.21.3-1) unstable; urgency=medium

  * New upstream version 2.21.3
  * run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 19:40:41 +0530

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,13 @@
                r-cran-stanheaders (>= 2.21.0),
                r-cran-ggplot2 (>= 3.0.0),
                r-cran-inline,
-               r-cran-gridextra,
+               r-cran-gridextra (>= 2.0.0),
                r-cran-rcpp (>= 0.12.0),
-               r-cran-rcppparallel (>= 5.0.2+dfsg-3),
+               r-cran-rcppparallel (>= 5.0.2+dfsg-3~),
                r-cran-loo (>= 2.3.0),
                r-cran-pkgbuild,
-               r-cran-withr,
-               r-cran-v8,
                r-cran-rcppeigen (>= 0.3.3.3.0),
-               r-cran-bh
+               r-cran-bh (>= 1.72.0-2)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git

## r-cran-rstan 2.21.5

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Encoding: UTF-8
 Type: Package
 Title: R Interface to Stan
-Version: 2.21.3
-Date: 2021-12-18
+Version: 2.21.5
+Date: 2022-04-08
 Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
@@ -45,7 +45,7 @@
 VignetteBuilder: knitr
 SystemRequirements: GNU make, pandoc
 RoxygenNote: 5.0.1
-Packaged: 2021-12-19 03:34:03 UTC; ben
+Packaged: 2022-04-09 00:34:45 UTC; ben
 Author: Jiqiang Guo [aut],
   Jonah Gabry [aut],
   Ben Goodrich [cre, aut],
@@ -64,4 +64,4 @@
   Bronder Steve [ctb]
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2021-12-19 23:30:10 UTC
+Date/Publication: 2022-04-11 14:20:02 UTC

=== debian/changelog ===
r-cran-rstan (2.21.5-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Rebuild

  [ Nilesh Patra ]
  * Add in versioned B-D and dep on r-cran-stanheaders to
    ease rebuilding/transition
    (Closes: #1011218, #1012144, #1012219)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 02:36:28 +0530

r-cran-rstan (2.21.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.21.5
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Add Versioned B-D and dep in acc with dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:24:54 +0530

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-stanheaders (>= 2.21.0),
-               r-cran-ggplot2 (>= 3.0.0),
+               r-cran-stanheaders (>= 2.21.0-7-2~),
+               r-cran-ggplot2,
                r-cran-inline,
-               r-cran-gridextra (>= 2.0.0),
-               r-cran-rcpp (>= 0.12.0),
-               r-cran-rcppparallel (>= 5.0.2+dfsg-3~),
+               r-cran-gridextra,
+               r-cran-rcpp,
+               r-cran-rcppparallel,
                r-cran-loo (>= 2.3.0),
                r-cran-pkgbuild,
-               r-cran-rcppeigen (>= 0.3.3.3.0),
+               r-cran-rcppeigen,
                r-cran-bh (>= 1.72.0-2)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git
 Homepage: https://cran.r-project.org/package=rstan
@@ -27,7 +27,8 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-cran-stanheaders (>= 2.21.0-7-2~),
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R interface to Stan

## r-cran-rstan 2.21.7

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Encoding: UTF-8
 Type: Package
 Title: R Interface to Stan
-Version: 2.21.5
-Date: 2022-04-08
+Version: 2.21.7
+Date: 2022-09-07
 Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
@@ -45,7 +45,7 @@
 VignetteBuilder: knitr
 SystemRequirements: GNU make, pandoc
 RoxygenNote: 5.0.1
-Packaged: 2022-04-09 00:34:45 UTC; ben
+Packaged: 2022-09-07 19:37:15 UTC; ben
 Author: Jiqiang Guo [aut],
   Jonah Gabry [aut],
   Ben Goodrich [cre, aut],
@@ -64,4 +64,4 @@
   Bronder Steve [ctb]
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2022-04-11 14:20:02 UTC
+Date/Publication: 2022-09-08 11:00:13 UTC

=== debian/changelog ===
r-cran-rstan (2.21.7-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Override overlong lines by embedded png image (see bug #1017966)
  * DEP3

 -- Andreas Tille <tille@debian.org>  Tue, 20 Sep 2022 09:54:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-stanheaders (>= 2.21.0-7-2~),
+               r-cran-stanheaders (>= 2.21.0),
                r-cran-ggplot2,
                r-cran-inline,
                r-cran-gridextra,
@@ -27,8 +27,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-cran-stanheaders (>= 2.21.0-7-2~),
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R interface to Stan

## r-cran-rstan 2.21.8

=== debian/changelog ===
r-cran-rstan (2.21.8-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 17:16:06 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-pkgbuild,
                r-cran-rcppeigen,
                r-cran-bh (>= 1.72.0-2)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git
 Homepage: https://cran.r-project.org/package=rstan

## r-cran-rstan 2.32.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Package: rstan
-Encoding: UTF-8
 Type: Package
 Title: R Interface to Stan
-Version: 2.21.7
-Date: 2022-09-07
+Version: 2.32.5
 Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
+             person("Andrew", "Johnson", email = "andrew.johnson@arjohnsonau.com", role = "aut"),
              person("Sebastian", "Weber", email = "sdw.post@waebers.de", role = "aut"),
+             person("Hamada S.", "Badr", role = c("aut"),
+                    email = "badr@jhu.edu",
+                    comment = c(ORCID = "0000-0002-9808-2344")),
              person("Daniel", "Lee", role = "ctb"),
              person("Krzysztof", "Sakrejda", role = "ctb"),
              person("Modrak", "Martin", role = "ctb"),
@@ -31,25 +33,29 @@
     derive the partial derivatives.
 License: GPL (>= 3)
 NeedsCompilation: yes
-Imports: methods, stats4, inline, gridExtra (>= 2.0.0), Rcpp (>=
-        0.12.0), RcppParallel (>= 5.0.1), loo (>= 2.3.0), pkgbuild
-Depends: R (>= 3.4.0), StanHeaders (>= 2.21.0), ggplot2 (>= 3.0.0)
-LinkingTo: Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0), BH (>=
-        1.72.0-2), StanHeaders (>= 2.21.0), RcppParallel
-Suggests: RUnit, RcppEigen (>= 0.3.3.3.0), BH (>= 1.72.0-2), parallel,
-        KernSmooth, shinystan (>= 2.3.0), bayesplot (>= 1.5.0),
-        rmarkdown, rstantools, rstudioapi, Matrix, knitr (>= 1.15.1),
-        V8
+Imports: methods, stats4, inline (>= 0.3.19), gridExtra (>= 2.3), Rcpp
+        (>= 1.0.7), RcppParallel (>= 5.1.4), loo (>= 2.4.1), pkgbuild
+        (>= 1.2.0), QuickJSR, ggplot2 (>= 3.3.5)
+Depends: R (>= 3.4.0), StanHeaders (>= 2.32.0)
+LinkingTo: Rcpp (>= 1.0.7), RcppEigen (>= 0.3.3.9.3), BH (>= 1.75.0-0),
+        StanHeaders (>= 2.26.28), RcppParallel (>= 5.1.4)
+Suggests: testthat (>= 3.0.4), parallel, KernSmooth, shinystan,
+        bayesplot, rmarkdown, rstantools, rstudioapi, Matrix, knitr,
+        coda, V8
 URL: https://mc-stan.org/rstan/, https://discourse.mc-stan.org
 BugReports: https://github.com/stan-dev/rstan/issues/
 VignetteBuilder: knitr
 SystemRequirements: GNU make, pandoc
-RoxygenNote: 5.0.1
-Packaged: 2022-09-07 19:37:15 UTC; ben
+Encoding: UTF-8
+RoxygenNote: 7.1.2
+Config/testthat/edition: 3
+Packaged: 2024-01-10 17:29:36 UTC; ben
 Author: Jiqiang Guo [aut],
   Jonah Gabry [aut],
   Ben Goodrich [cre, aut],
+  Andrew Johnson [aut],
   Sebastian Weber [aut],
+  Hamada S. Badr [aut] (<https://orcid.org/0000-0002-9808-2344>),
   Daniel Lee [ctb],
   Krzysztof Sakrejda [ctb],
   Modrak Martin [ctb],
@@ -64,4 +70,4 @@
   Bronder Steve [ctb]
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2022-09-08 11:00:13 UTC
+Date/Publication: 2024-01-10 20:20:03 UTC

=== debian/changelog ===
r-cran-rstan (2.32.5-2) unstable; urgency=medium

  * Build-Depends: r-cran-v8 (see
    https://github.com/stan-dev/rstanarm/issues/619#issuecomment-2049885985)

 -- Andreas Tille <tille@debian.org>  Sat, 13 Apr 2024 09:47:20 +0200

r-cran-rstan (2.32.5-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Make sure we will use the new tbb interface

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 14:47:50 +0100

r-cran-rstan (2.32.3-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1046555

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2023 11:56:04 +0100

r-cran-rstan (2.32.3-1) unstable; urgency=medium

  * New upstream version
  * Prevent parallel builds for 32 bit architectures to save memory
  * Add -flto flag to save even more memory
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides for custom-library-search-path
  * Provide uncompressed source for stanc3.js

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 16:47:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-stanheaders (>= 2.21.0),
-               r-cran-ggplot2,
-               r-cran-inline,
+               r-cran-stanheaders (>= 2.32.0),
+               r-cran-inline (>= 0.3.19),
                r-cran-gridextra,
-               r-cran-rcpp,
-               r-cran-rcppparallel,
-               r-cran-loo (>= 2.3.0),
+               r-cran-rcpp (>= 1.0.7),
+               r-cran-rcppparallel (>= 5.1.4),
+               r-cran-loo,
                r-cran-pkgbuild,
-               r-cran-rcppeigen,
-               r-cran-bh (>= 1.72.0-2)
+               r-cran-quickjsr,
+               r-cran-ggplot2 (>= 3.3.5),
+               r-cran-rcppeigen (>= 0.3.3.9.3),
+               r-cran-bh (>= 1.75.0-0),
+# <dh-update-R>do not delete this - see https://github.com/stan-dev/rstanarm/issues/619#issuecomment-2049885985</dh-update-R>
+               r-cran-v8
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git

## r-cran-rstan 2.32.6

=== debian/changelog ===
r-cran-rstan (2.32.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 27 Jan 2025 13:50:55 +0900

r-cran-rstan (2.32.5-3) unstable; urgency=medium

  * Team upload
  * Adjust patch to hardcode correct location for the boost headers.
    Closes: #1078159

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Jan 2025 16:24:54 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                r-cran-pkgbuild,
                r-cran-quickjsr,
                r-cran-ggplot2 (>= 3.3.5),
-               r-cran-rcppeigen (>= 0.3.3.9.3),
+               r-cran-rcppeigen (>= 0.3.4.0.0),
                r-cran-bh (>= 1.75.0-0),
 # <dh-update-R>do not delete this - see https://github.com/stan-dev/rstanarm/issues/619#issuecomment-2049885985</dh-update-R>
                r-cran-v8
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git
 Homepage: https://cran.r-project.org/package=rstan

## r-cran-rstan 2.32.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rstan
 Type: Package
 Title: R Interface to Stan
-Version: 2.32.5
+Version: 2.32.7
 Authors@R: c(person("Jiqiang", "Guo", email = "guojq28@gmail.com", role = "aut"),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", role = c("cre", "aut")),
@@ -37,8 +37,8 @@
         (>= 1.0.7), RcppParallel (>= 5.1.4), loo (>= 2.4.1), pkgbuild
         (>= 1.2.0), QuickJSR, ggplot2 (>= 3.3.5)
 Depends: R (>= 3.4.0), StanHeaders (>= 2.32.0)
-LinkingTo: Rcpp (>= 1.0.7), RcppEigen (>= 0.3.3.9.3), BH (>= 1.75.0-0),
-        StanHeaders (>= 2.26.28), RcppParallel (>= 5.1.4)
+LinkingTo: Rcpp (>= 1.0.7), RcppEigen (>= 0.3.4.0.0), BH (>= 1.75.0-0),
+        StanHeaders (>= 2.32.0), RcppParallel (>= 5.1.4)
 Suggests: testthat (>= 3.0.4), parallel, KernSmooth, shinystan,
         bayesplot, rmarkdown, rstantools, rstudioapi, Matrix, knitr,
         coda, V8
@@ -49,7 +49,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.2
 Config/testthat/edition: 3
-Packaged: 2024-01-10 17:29:36 UTC; ben
+Packaged: 2025-03-10 04:53:43 UTC; ben
 Author: Jiqiang Guo [aut],
   Jonah Gabry [aut],
   Ben Goodrich [cre, aut],
@@ -70,4 +70,4 @@
   Bronder Steve [ctb]
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2024-01-10 20:20:03 UTC
+Date/Publication: 2025-03-10 08:50:02 UTC

=== debian/changelog ===
r-cran-rstan (2.32.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Mar 2025 14:04:23 +0900

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,8 @@
                r-cran-ggplot2 (>= 3.3.5),
                r-cran-rcppeigen (>= 0.3.4.0.0),
                r-cran-bh (>= 1.75.0-0),
-# <dh-update-R>do not delete this - see https://github.com/stan-dev/rstanarm/issues/619#issuecomment-2049885985</dh-update-R>
                r-cran-v8
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstan.git
 Homepage: https://cran.r-project.org/package=rstan

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_BITS),32)
    # see https://github.com/stan-dev/rstan/issues/1032
    export PARALLEL=--no-parallel
endif

%:
	dh $@ --buildsystem R $(PARALLEL)

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 3.0.4),
        r-cran-kernsmooth,
        r-cran-shinystan,
        r-cran-bayesplot,
        r-cran-rmarkdown,
        r-cran-rstantools,
        r-cran-rstudioapi,
        r-cran-matrix,
        r-cran-knitr,
        r-cran-coda,
        r-cran-v8
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://cran.r-project.org/src/contrib/rstan_([-\d.]*)\.tar\.gz
